=== debian/changelog ===
picolisp (23.2-1) unstable; urgency=medium

  * New upstream version 23.2
  * debian/control: bump standards-version to 4.6.2, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 08 Feb 2023 21:05:43 +0900

picolisp (22.12-1) unstable; urgency=medium

  * New upstream version 22.12

 -- Kan-Ru Chen <koster@debian.org>  Wed, 28 Dec 2022 10:25:18 +0800

picolisp (22.9-1) unstable; urgency=medium

  * New upstream version 22.9

 -- Kan-Ru Chen <koster@debian.org>  Sat, 01 Oct 2022 21:32:28 +0900
