=== debian/control ===
Source: picolisp
Section: lisp
Priority: optional
Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
 libreadline-dev, libffi-dev, pkg-config, clang, llvm, picolisp
Standards-Version: 4.6.2
Homepage: http://picolisp.com/
Vcs-Git: https://salsa.debian.org/koster/picolisp.git
Vcs-Browser: https://salsa.debian.org/koster/picolisp

Package: picolisp
Architecture: amd64 arm64 mips64el ppc64el s390x
Pre-Depends: dpkg (>= 1.17.5)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tinymce, w3m
Description: Lisp interpreter and application server framework
 Pico Lisp can be viewed from two different aspects: As a general
 purpose programming language, and a dedicated application server
 framework.
 .
 As a programming language, Pico Lisp provides a 1-to-1 mapping of a
 clean and powerful Lisp derivate, to a simple and efficient virtual
 machine. It supports persistent objects as a first class data type,
 resulting in a database system of Entity/Relation classes and a
 Prolog-like query language tightly integrated into the system.
 .
 As an application server framework, Pico Lisp provides for database
 management (including multi-user synchronization, DB garbage collection
 journalling and replication), web interface integrated (and generated
 from) the application data model, and an application server.
