## picolisp 23.6

=== debian/changelog ===
picolisp (23.6-1) unstable; urgency=medium

  * New upstream version 23.6
  * debian/control: remove s390x
  * debian/picolisp.doc-base: fix index page path
  * debian/patches: fix bootstrap llir

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 01 Jul 2023 16:12:19 +0900

picolisp (23.3-2) unstable; urgency=medium

  * New upstream version 23.3 uploaded to unstable

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 21 Jun 2023 07:13:26 +0900

picolisp (23.3-1) experimental; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 23.3
  * d/picolisp.install: add bin/pty
  * d/patches: drop shbang patches

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 02 Apr 2023 08:34:42 +0900
