=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
 
 Package: picolisp
-Architecture: amd64 arm64 mips64el ppc64el s390x
+Architecture: amd64 arm64 mips64el ppc64el
 Pre-Depends: dpkg (>= 1.17.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: tinymce, w3m
