=== debian/changelog ===
picolisp (23.12-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:29 +1100

picolisp (23.12-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:03:11 +0000

picolisp (23.12-1) unstable; urgency=medium

  * New upstream version 23.12

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 26 Dec 2023 20:30:42 +0900

picolisp (23.9-1) unstable; urgency=medium

  * New upstream version 23.9

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 02 Oct 2023 08:16:20 +0900
