=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: picolisp
 Section: lisp
 Priority: optional
-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
  libreadline-dev, libffi-dev, pkg-config, clang, llvm, picolisp
 Standards-Version: 4.6.2
