## picolisp 24.6

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# 05sep23 Software Lab. Alexander Burger
+# 21jun24 Software Lab. Alexander Burger
 
 .SILENT:
 
 CC = clang
 PIL = ../pil  # pil
-ASM = opt -O3  # llvm-as
+ASM = opt -O2  # llvm-as
 LLC = llc
 LINK = llvm-link
 MAIN = -rdynamic -lc -lutil -lm -ldl -lreadline -lffi
@@ -93,4 +93,4 @@
 	rm -f *.ll *.bc *.s
 
 clean2: clean
-	rm -f $(BIN)/balance $(BIN)/ssl $(BIN)/httpGate
+	rm -f $(LIB)/sysdefs $(BIN)/balance $(BIN)/ssl $(BIN)/httpGate
