=== debian/changelog ===
picolisp (24.6-1) unstable; urgency=medium

  * New upstream version 24.6

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 30 Jun 2024 18:50:45 +0900

picolisp (24.3-1) unstable; urgency=medium

  * New upstream version 24.3
  * debian/control: build-dep pkg-config -> pkgconf
  * debian/control: bump standards-version to 4.7.0, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 07 Apr 2024 22:22:51 +0900
