## picolisp 24.9

=== debian/changelog ===
picolisp (24.9-1) unstable; urgency=medium

  * New upstream version 24.9

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 29 Sep 2024 20:50:26 +0900
