## picolisp 24.12

=== debian/changelog ===
picolisp (24.12-1) unstable; urgency=medium

  * New upstream version 24.12

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 30 Dec 2024 17:59:38 +0900
