=== debian/changelog ===
picolisp (25.3-1) unstable; urgency=medium

  * New upstream version 25.3

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 29 Mar 2025 19:47:21 +0900
