=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: picolisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
+Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
- libreadline-dev, libffi-dev, pkg-config, clang, llvm, picolisp
-Standards-Version: 4.6.2
+ libreadline-dev, libffi-dev, pkgconf, clang, llvm, picolisp
+Standards-Version: 4.7.0
 Homepage: http://picolisp.com/
 Vcs-Git: https://salsa.debian.org/koster/picolisp.git
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
