## picolisp 25.6

=== debian/changelog ===
picolisp (25.6-2) unstable; urgency=medium

  * Upload 25.6 to unstable

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 09 Sep 2025 22:26:38 +0900

picolisp (25.6-1) experimental; urgency=medium

  * New upstream version 25.6

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 30 Jun 2025 22:51:35 +0900
