=== debian/changelog ===
picolisp (25.9-1) unstable; urgency=medium

  * New upstream version 25.9
  * debian/patches: drop LLIR patch
  * debian/rules: update bootstrap commands
  * debian/control: bump standards-version to 4.7.2, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 01 Oct 2025 22:30:47 +0900
