=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
  libreadline-dev, libffi-dev, pkgconf, clang, llvm, picolisp
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://picolisp.com/
 Vcs-Git: https://salsa.debian.org/koster/picolisp.git
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
