=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,12 @@
 
 override_dh_auto_build:
 ifeq (,$(filter nobootstrap,$(DEB_BUILD_OPTIONS)))
-	cd src && pil lib/llvm.l main.l -bye > base.ll && mv base.map ../lib/map
-	cd src && pil lib/llvm.l ext.l -bye > ext.ll
-	cd src && pil lib/llvm.l ht.l -bye > ht.ll
+	-ln -s /usr/bin/picolisp $(CURDIR)/bin/picolisp
+	-rm src/base.ll src/ext.ll src/ht.ll
+	make -C src ../lib/sysdefs
+	make -C src base.ll
+	make -C src ext.ll
+	make -C src ht.ll
 endif
 	make -C src
 	mkdir -p build/bash_completion.d
