=== debian/watch ===
version=3

https://software-lab.de/down.html picoLisp-(.*)\.tgz
