## picolisp 25.12

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# 13sep25 Software Lab. Alexander Burger
+# 05nov25 Software Lab. Alexander Burger
 
 .SILENT:
 
@@ -49,7 +49,7 @@
 	mv base.map $(LIB)/map
 
 lib.bc: pico.h lib.c
-	$(CC) -O3 -w -c -o lib.bc -D_OS='"$(OS)"' -D_CPU='"$(CPU)"' -emit-llvm lib.c
+	$(CC) -O3 -w -c -o lib.bc -D_OS='"$(OS)"' -D_CPU='"$(CPU)"' `pkg-config --cflags libffi` -emit-llvm lib.c
 
 # Base system as shared library
 $(LIB)/picolisp.so: picolisp.so.bc
@@ -68,7 +68,7 @@
 	rm base.map
 
 lib.so.bc: pico.h lib.so.c
-	$(CC) -O3 -w -c -fPIC -o lib.so.bc -D_OS='"$(OS)"' -D_CPU='"$(CPU)"' -emit-llvm lib.so.c
+	$(CC) -O3 -w -c -fPIC -o lib.so.bc -D_OS='"$(OS)"' -D_CPU='"$(CPU)"' `pkg-config --cflags libffi` -emit-llvm lib.so.c
 
 # Extension libraries
 $(LIB)/ext.so: ext.bc
