=== debian/changelog ===
picolisp (25.12-1) unstable; urgency=medium

  * New upstream version 25.12
  * debian/watch: use version 5 format
  * debian/compat: replaced with debhelper-compat in Build-Depends

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 29 Dec 2025 00:16:04 +0000
