=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
+Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
  libreadline-dev, libffi-dev, pkgconf, clang, llvm, picolisp
 Standards-Version: 4.7.2
 Homepage: http://picolisp.com/
