=== debian/watch ===
Version: 5

Source: https://software-lab.de/down.html
Matching-Pattern: picoLisp-(.*)\.tgz
